#
# Conditional build:
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Data-Driven Tests - library to multiply test cases
Summary(pl.UTF-8):	Data-Driven Tests - biblioteka do zwielokrotniania przypadków testowych
Name:		python-ddt
# keep 1.6.x here for python2 support
Version:	1.6.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/ddt/
Source0:	https://files.pythonhosted.org/packages/source/d/ddt/ddt-%{version}.tar.gz
# Source0-md5:	7a261184250a6c57962f40b62a8de77f
URL:		https://github.com/txels/ddt
%if %{with python2}
BuildRequires:	python-enum34
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-mock
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DDT (Data-Driven Tests) allows you to multiply one test case by
running it with different test data, and make it appear as multiple
test cases.

%description -l pl.UTF-8
Biblioteka DDT (Data-Driven Tests - testy sterowane danymi) pozwala na
zwielotnianie pojedynczego przypadku testowego poprzez uruchamianie go
z różnymi danymi testowymi i traktowanie go jako wielu przypadków
testowych.

%package -n python3-ddt
Summary:	Data-Driven Tests - library to multiply test cases
Summary(pl.UTF-8):	Data-Driven Tests - biblioteka do zwielokrotniania przypadków testowych
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.6

%description -n python3-ddt
DDT (Data-Driven Tests) allows you to multiply one test case by
running it with different test data, and make it appear as multiple
test cases.

%description -n python3-ddt -l pl.UTF-8
Biblioteka DDT (Data-Driven Tests - testy sterowane danymi) pozwala na
zwielotnianie pojedynczego przypadku testowego poprzez uruchamianie go
z różnymi danymi testowymi i traktowanie go jako wielu przypadków
testowych.

%prep
%setup -q -n ddt-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE.md README.md
%{py_sitescriptdir}/ddt.py[co]
%{py_sitescriptdir}/ddt-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-ddt
%defattr(644,root,root,755)
%doc LICENSE.md README.md
%{py3_sitescriptdir}/ddt.py
%{py3_sitescriptdir}/__pycache__/ddt.cpython-*.py[co]
%{py3_sitescriptdir}/ddt-%{version}-py*.egg-info
%endif
%changelog
* Wed Jan 17 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-ddt.git;a=log;h=master

* Wed Jan 17 2024 Jakub Bogusz <qboosh@pld-linux.org> 0c7338c
- updated to 1.6.0

* Thu Apr 28 2022 Jakub Bogusz <qboosh@pld-linux.org> dfa850b
- updated to 1.4.4

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 78add8c
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> e61961b
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> aca175d
- rebuild with python 3.10

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> 7695093
- release 4 (by relup.sh)

* Fri Nov 01 2019 Jan Rękorajski <baggins@pld-linux.org> af9c458
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 4a12218
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri Mar 22 2019 Jakub Bogusz <qboosh@pld-linux.org> beb3f89
- new

